import request from '@/utils/request'

// 查询品类属性中间列表
export function listCategory_attribute(query) {
  return request({
    url: '/product/category_attribute/list',
    method: 'get',
    params: query
  })
}

// 查询品类属性中间详细
export function getCategory_attribute(id) {
  return request({
    url: '/product/category_attribute/' + id,
    method: 'get'
  })
}

// 新增品类属性中间
export function addCategory_attribute(data) {
  return request({
    url: '/product/category_attribute',
    method: 'post',
    data: data
  })
}

// 修改品类属性中间
export function updateCategory_attribute(data) {
  return request({
    url: '/product/category_attribute',
    method: 'put',
    data: data
  })
}

// 删除品类属性中间
export function delCategory_attribute(id) {
  return request({
    url: '/product/category_attribute/' + id,
    method: 'delete'
  })
}
